# Poco::Data::ODBC

# class Connector

Library: Data/ODBC
Package: ODBC
Header: Poco/Data/ODBC/Connector.h

## Description

Connector instantiates SqLite SessionImpl objects.

## Inheritance

Direct Base Classes: Poco::Data::Connector

All Base Classes: Poco::Data::Connector

## Member Summary

Member Functions: createSession, registerConnector, unregisterConnector

Inherited Functions: createSession

## Constructors

### Connector

Connector();

Creates the Connector.

## Destructor

### ~Connector

~Connector();

Destroys the Connector.

## Member Functions

### createSession

Poco::AutoPtr < Poco::Data::SessionImpl > createSession(
const std::string & connectionString
);

Creates a ODBC SessionImpl object and initializes it with the given connectionString.

### registerConnector

static void registerConnector();

Registers the Connector under the Keyword Connector::KEY at the Poco::Data::SessionFactory

### unregisterConnector

static void unregisterConnector();

Unregisters the Connector under the Keyword Connector::KEY at the Poco::Data::SessionFactory

## Variables

### KEY

static const std::string KEY;

Keyword for creating ODBC sessions